import * as React from 'react';
import { ISearchOptions } from '@finder-stack/core';
export declare type IFindResultsOwnProps = {
    onCompleteSearchQuery?(): void;
};
export declare type IFindResultsStateProps = {
    width?: number;
    searchOptions: ISearchOptions;
    rootPath: string;
    configuration?: any;
    treeData?: any;
    openedFiles?: any;
};
export declare type IFindResultsDispatchProps = {
    setError?: (error: string, type: string) => any;
    setTreeData?: (result: any) => any;
    openFile?: (content: any) => any;
};
export declare type IFindResultsApiProps = {
    client?: any;
    searchData?: any;
    searchQuery?: any;
    optimisticMutation?: any;
    subscribeToMore?: any;
};
export declare type IFindResultsProps = IFindResultsOwnProps & IFindResultsStateProps & IFindResultsDispatchProps & IFindResultsApiProps;
export interface IFindResultsState {
    height?: number;
    treeData?: any;
    rawData?: any;
}
export declare class FindResultsComponent extends React.Component<IFindResultsProps, IFindResultsState> {
    private searchString;
    constructor(props: IFindResultsProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    private getTreeData;
    private setupTextMatches;
    private renderStats;
    private ResultTree;
    render(): JSX.Element;
}
